#!/bin/bash

#############################################################################
gbl_curdir=$(cd $(dirname "$0");pwd)

compile_program() {
	cd ${gbl_curdir}
	make ARCH=${input_platform} -C YoseenDemoConsole|| exit
}

#############################################################################
#platformArray=( x64 armhf arm64 android-19-arm32 android-21-arm64 hisiv600 kylin_loongarch)
platformArray=(x64 )

for p in ${platformArray[@]}; do
	input_platform=$p
	DATE=$(date '+%Y-%m-%d %H:%M:%S')
	echo "make ${input_platform}, ${DATE}"
	compile_program
done
